classification
Title: Docs for os, popen2 omit list argument to popen2() et al
Type: Stage:
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: hoffman, jlgijsbers
Priority: normal Keywords:

Created on 2004-03-01 11:00 by hoffman, last changed 2004-10-17 10:54 by hoffman. This issue is now closed.

Messages (3)
msg20153 - (view) Author: Michael Hoffman (hoffman) Date: 2004-03-01 11:00
http://www.python.org/doc/current/lib/os-newstreams.html
and
http://www.python.org/doc/current/lib/module-popen2.html
do not give any indication that you can use a list for
cmd instead of a string and os.execvp() will be used
instead of setting up a subshell.
msg20154 - (view) Author: Johannes Gijsbers (jlgijsbers) * Date: 2004-10-16 10:59
Logged In: YES 
user_id=469548

Patch #1042705, applied a while ago, fixed this.
msg20155 - (view) Author: Michael Hoffman (hoffman) Date: 2004-10-17 10:54
Logged In: YES 
user_id=987664

Thanks!
History
Date User Action Args
2004-03-01 11:00:52hoffmancreate